com.singularsys.jep.misc.javaops

## Enum JavaOperatorTable.JavaOperators

- java.lang.Object
- - java.lang.Enum<JavaOperatorTable.JavaOperators>
  - - com.singularsys.jep.misc.javaops.JavaOperatorTable.JavaOperators

- All Implemented Interfaces:
    EmptyOperatorTable.OperatorKey, java.io.Serializable, java.lang.Comparable<JavaOperatorTable.JavaOperators>
  Enclosing class:
    JavaOperatorTable

      public static enum JavaOperatorTable.JavaOperators
      extends java.lang.Enum<JavaOperatorTable.JavaOperators>
      implements EmptyOperatorTable.OperatorKey

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ANDEQUAL`
    `DIVIDEEQUAL`
    `LSHIFTEQUAL`
    `MINUSEQUAL`
    `MODEQUAL`
    `OREQUAL`
    `PLUSEQUAL`
    `POSTDEC`
    `POSTINC`
    `PREDEC`
    `PREINC`
    `RSHIFTEQUAL`
    `TERNCOND`
    `TIMESEQUAL`
    `URSHIFTEQUAL`
    `XOREQUAL`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaOperatorTable.JavaOperators` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static JavaOperatorTable.JavaOperators[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### PREINC

          public static final JavaOperatorTable.JavaOperators PREINC

    - #### PREDEC

          public static final JavaOperatorTable.JavaOperators PREDEC

    - #### POSTINC

          public static final JavaOperatorTable.JavaOperators POSTINC

    - #### POSTDEC

          public static final JavaOperatorTable.JavaOperators POSTDEC

    - #### TERNCOND

          public static final JavaOperatorTable.JavaOperators TERNCOND

    - #### PLUSEQUAL

          public static final JavaOperatorTable.JavaOperators PLUSEQUAL

    - #### MINUSEQUAL

          public static final JavaOperatorTable.JavaOperators MINUSEQUAL

    - #### TIMESEQUAL

          public static final JavaOperatorTable.JavaOperators TIMESEQUAL

    - #### DIVIDEEQUAL

          public static final JavaOperatorTable.JavaOperators DIVIDEEQUAL

    - #### MODEQUAL

          public static final JavaOperatorTable.JavaOperators MODEQUAL

    - #### ANDEQUAL

          public static final JavaOperatorTable.JavaOperators ANDEQUAL

    - #### OREQUAL

          public static final JavaOperatorTable.JavaOperators OREQUAL

    - #### XOREQUAL

          public static final JavaOperatorTable.JavaOperators XOREQUAL

    - #### LSHIFTEQUAL

          public static final JavaOperatorTable.JavaOperators LSHIFTEQUAL

    - #### RSHIFTEQUAL

          public static final JavaOperatorTable.JavaOperators RSHIFTEQUAL

    - #### URSHIFTEQUAL

          public static final JavaOperatorTable.JavaOperators URSHIFTEQUAL

  - ### Method Detail

    - #### values

          public static JavaOperatorTable.JavaOperators[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (JavaOperatorTable.JavaOperators c : JavaOperatorTable.JavaOperators.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static JavaOperatorTable.JavaOperators valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 Singular Systems http://www.singularsys.com/jep